> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Fetch a compliance plan

GET https://example.itential.io/configuration_manager/compliance_plans/{planId}

Fetches a compliance plan with the provided ID.

Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-plan

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `planId` (string, required) — planId

## Response

### 200

Requested Golden Config tree version

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "_id": "67ead2e85f12757d048a48dd",
  "created": "2025-03-31T17:37:44.892Z",
  "createdBy": "67d3108eddcf3e66cc0efbac",
  "description": "",
  "gbac": {
    "read": [],
    "write": []
  },
  "name": "Cisco IOS",
  "nodes": [
    {
      "deviceGroups": [],
      "devices": [],
      "nodeId": "67e303e60e358ba47dcf79c1",
      "treeId": "67e301050e358ba47dcf79bd",
      "variables": {},
      "version": "initial"
    },
    {
      "deviceGroups": [],
      "devices": [],
      "nodeId": "67e599320e358ba47dcf79e4",
      "treeId": "67e599320e358ba47dcf79e3",
      "variables": {},
      "version": "initial"
    }
  ],
  "throttle": 5,
  "updated": "2025-03-31T18:58:10.764Z",
  "updatedBy": "67d3108eddcf3e66cc0efbac"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/configuration_manager/compliance_plans/planId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/configuration_manager/compliance_plans/planId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/configuration_manager/compliance_plans/planId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/configuration_manager/compliance_plans/planId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/configuration_manager/compliance_plans/planId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/configuration_manager/compliance_plans/planId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/configuration_manager/compliance_plans/planId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/compliance_plans/planId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```